Subject: Re: Need help debugging memory corruption

From: Jarek Poplawski <[email-masked]>
Date: Sun, 04 May 2008 16:24:49 +0200

Jay Cliburn wrote, On 05/03/2008 08:09 PM:
...

> Here is the relevant console output when the bug is hit.  I note that
> the apparent corrupting data beginning at address 0xffff81010fcff402 is
> actually a received ethernet frame.  (The value 00:17:31:4e:9d:41 is
> the MAC address of the local host, corresponding to the destination
> address of a received frame.)
> 
> Can someone with more experience than me please take a look and give me
> some advice or explain what might be happening here?  (What may be
> obvious to you is probably not obvious to me.)

I'm definitely with less experience, so I wonder why it can't be
a simple race between atl1_clean_rx_ring() and something (maybe even
pending atl1_intr_rx()) on the other cpu writing skb while kfreeing?

Regards,
Jarek P.